QXmpp: QXmppDataForm::Field Class Reference

QXmpp Version: 1.14.3

Loading...
Searching...
No Matches
QXmppDataForm::Field Class Reference

## Public Types
enum | Type { BooleanField , FixedField , HiddenField , JidMultiField , JidSingleField , ListMultiField , ListSingleField , TextMultiField , TextPrivateField , TextSingleField }
| This enum is used to describe a field's type.

## Public Member Functions
| Field (Type type=TextSingleField, const QString &key={}, const QVariant &value={}, bool isRequired=false, const QString &label={}, const QString &description={}, const QList< QPair< QString, QString > > &options={})
| Field (const QXmppDataForm::Field &other)
| Constructs a copy of other.
| Field (QXmppDataForm::Field &&)
| Default move constructor.
| ~Field ()
| Destroys the form field.
QXmppDataForm::Field & | operator= (const QXmppDataForm::Field &other)
| Assigns other to this field.
QXmppDataForm::Field & | operator= (QXmppDataForm::Field &&)
| Default move-assignment operator.
QString | description () const
void | setDescription (const QString &description)
QString | key () const
void | setKey (const QString &key)
QString | label () const
void | setLabel (const QString &label)
QList< QPair< QString, QString > > | options () const
void | setOptions (const QList< QPair< QString, QString > > &options)
bool | isRequired () const
void | setRequired (bool required)
QXmppDataForm::Field::Type | type () const
void | setType (QXmppDataForm::Field::Type type)
QVariant | value () const
void | setValue (const QVariant &value)
QVector< QXmppDataForm::MediaSource > | mediaSources () const
void | setMediaSources (const QVector< QXmppDataForm::MediaSource > &mediaSources)
QSize | mediaSize () const
void | setMediaSize (const QSize &size)
bool | operator== (const Field &other) const

## Detailed Description

The QXmppDataForm::Field class represents a data form field as defined by XEP-0004: Data Forms.

## Constructor & Destructor Documentation

## ◆ Field()

QXmppDataForm::Field::Field | ( | Type | type = TextSingleField,
|  | const QString & | key = {},
|  | const QVariant & | value = {},
|  | bool | isRequired = false,
|  | const QString & | label = {},
|  | const QString & | description = {},
|  | const QList< QPair< QString, QString > > & | options = {} )

Constructs a QXmppDataForm::Field with the specified attributes.

Since
  QXmpp 1.3

## Member Function Documentation

## ◆ description()

QString QXmppDataForm::Field::description | ( |  | ) | const

Returns the field's description.

## ◆ isRequired()

bool QXmppDataForm::Field::isRequired | ( |  | ) | const

Returns true if the field is required, false otherwise.

## ◆ key()

QString QXmppDataForm::Field::key | ( |  | ) | const

Returns the field's key.

## ◆ label()

QString QXmppDataForm::Field::label | ( |  | ) | const

Returns the field's label.

## ◆ mediaSize()

QSize QXmppDataForm::Field::mediaSize | ( |  | ) | const

Returns the size of the attached media according to XEP-0221: Data Forms Media Element.

Since
  QXmpp 1.1

## ◆ mediaSources()

QVector< QXmppDataForm::MediaSource > QXmppDataForm::Field::mediaSources | ( |  | ) | const

Returns the sources for the attached media according to XEP-0221: Data Forms Media Element.

Since
  QXmpp 1.1

## ◆ operator==()

bool QXmppDataForm::Field::operator== | ( | const Field & | other | ) | const

Returns true if the other field is identical to this one.

Since
  QXmpp 1.1

## ◆ options()

QList< QPair< QString, QString > > QXmppDataForm::Field::options | ( |  | ) | const

Returns the field's options.

## ◆ setDescription()

void QXmppDataForm::Field::setDescription | ( | const QString & | description | ) |

Sets the field's description.

Parameters

  description |

## ◆ setKey()

void QXmppDataForm::Field::setKey | ( | const QString & | key | ) |

Sets the field's key.

Parameters

  key |

## ◆ setLabel()

void QXmppDataForm::Field::setLabel | ( | const QString & | label | ) |

Sets the field's label.

Parameters

  label |

## ◆ setMediaSize()

void QXmppDataForm::Field::setMediaSize | ( | const QSize & | size | ) |

Sets the size of the attached media according to XEP-0221: Data Forms Media Element.

Since
  QXmpp 1.1

## ◆ setMediaSources()

void QXmppDataForm::Field::setMediaSources | ( | const QVector< QXmppDataForm::MediaSource > & | mediaSources | ) |

Sets the sources to the attached media of the field according to XEP-0221: Data Forms Media Element.

Since
  QXmpp 1.1

## ◆ setOptions()

void QXmppDataForm::Field::setOptions | ( | const QList< QPair< QString, QString > > & | options | ) |

Sets the field's options.

Parameters

  options |

## ◆ setRequired()

void QXmppDataForm::Field::setRequired | ( | bool | required | ) |

Set to true if the field is required, false otherwise.

Parameters

  required |

## ◆ setType()

void QXmppDataForm::Field::setType | ( | QXmppDataForm::Field::Type | type | ) |

Sets the field's type.

Parameters

  type |

## ◆ setValue()

void QXmppDataForm::Field::setValue | ( | const QVariant & | value | ) |

Sets the field's value.

Parameters

  value |

## ◆ type()

QXmppDataForm::Field::Type QXmppDataForm::Field::type | ( |  | ) | const

Returns the field's type.

## ◆ value()

QVariant QXmppDataForm::Field::value | ( |  | ) | const

Returns the field's value.

The documentation for this class was generated from the following files:

- QXmppDataForm.h
- QXmppDataForm.cpp